Collections
Apply a previously previewed Collection filter
Atomically applies the exact preview when the Collection revision still matches. Passing a preview created with filter:null clears the filter.
POST
https://api.smry.ai
/
v1
/
feeds
/
filters
/
apply
Apply a previously previewed Collection filter
curl --request POST \
--url https://api.smry.ai/v1/feeds/filters/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"previewToken": "<previewToken from preview>",
"expectedRevision": 0
}
'import requests
url = "https://api.smry.ai/v1/feeds/filters/apply"
payload = {
"previewToken": "<previewToken from preview>",
"expectedRevision": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({previewToken: '<previewToken from preview>', expectedRevision: 0})
};
fetch('https://api.smry.ai/v1/feeds/filters/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "feed_filter",
"collection": {},
"filter": {
"prompt": "<string>",
"whenUncertain": "include"
},
"filterRevision": 123,
"coverage": {}
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}Authorizations
oauth2AuthbearerAuthapiKeyAuth
Clerk OAuth 2.0 Authorization Code flow with PKCE. Request the minimum scope required by the operation.
Body
application/json
Response
Apply a previously previewed Collection filter. The operation succeeded.
Apply a previously previewed Collection filter. The operation succeeded.
Allowed value:
"feed_filter"Last modified on September 13, 2026
⌘I
Apply a previously previewed Collection filter
curl --request POST \
--url https://api.smry.ai/v1/feeds/filters/apply \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"previewToken": "<previewToken from preview>",
"expectedRevision": 0
}
'import requests
url = "https://api.smry.ai/v1/feeds/filters/apply"
payload = {
"previewToken": "<previewToken from preview>",
"expectedRevision": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({previewToken: '<previewToken from preview>', expectedRevision: 0})
};
fetch('https://api.smry.ai/v1/feeds/filters/apply', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "feed_filter",
"collection": {},
"filter": {
"prompt": "<string>",
"whenUncertain": "include"
},
"filterRevision": 123,
"coverage": {}
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}{
"error": "cursor: expected a next_cursor from a previous response.",
"code": "invalid_request",
"field": "where.published_after",
"hint": "<string>",
"retryable": true,
"retryAfter": 123,
"details": "<string>"
}